Endpoints for managing web redirects.
List web redirects
List all web redirects for the domain.
You can only manage web redirects for domains that use hosted DNS.
path Parameters
domainNameOrIdfull domain name or ID
query Parameters
sortSort by one or more fields. Available fields: subdomain, id. Prefix fields with - for descending order. Separate multiple fields (maximum 5) with commas.
Invalid fields are silently ignored. Case-insensitive.
pageper_pageList web redirects › Responses
Paginated set of WebRedirect
Create web redirect
Create a single web redirect for the domain.
You can only manage web redirects for domains that use hosted DNS.
This endpoint will remove any conflicting DNS records if needed to ensure the redirect works correctly.
path Parameters
domainNameOrIdfull domain name or ID
Create web redirect › Request Body
targetstatus_codesubdomaininclude_pathinclude_queryCreate web redirect › Responses
WebRedirect
Update web redirect
Update a single web redirect for the domain.
You can only manage web redirects for domains that use hosted DNS.
This endpoint will remove any conflicting DNS records if needed to ensure the redirect works correctly.
path Parameters
domainNameOrIdfull domain name or ID
webRedirectIdUpdate web redirect › Request Body
targetstatus_codeinclude_pathinclude_queryUpdate web redirect › Responses
WebRedirect